/* 
BUTTON 
*/
.modal-button {
    position: absolute;
    top: 50dvh;
    left: 50vw;
    width: calc(100vw - calc(var(--size_l) * 2));
    opacity: 0;
    transform: translate(-50%, 0);
    box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.1);
    z-index: 210;
}

body[data-transition="false"] .modal-button {transition: width 500ms, background 500ms, color 500ms !important;}

@media only screen and (min-width: 768px) {
    .modal-button {
        width: 25vw;
        height: fit-content;
    }

    body[data-template="rooms"] .modal-button,
    body[data-template="bar_food"] .modal-button {top: calc(50dvh + calc(var(--header_height) / 2));}
}

.modal-button.--snap {position: fixed;}

.modal-button.--hotel {max-width: calc(120rem - 8rem);}
.modal-button.--hotel[data-active="false"],
.modal-section.--hotel[data-active="false"] {display: none !important;}




/* 
SECTION
*/
.modal-section {
    background: rgba(0, 0, 0, .5);
    backdrop-filter: blur(32px);
    -webkit-backdrop-filter: blur(32px);
    cursor: pointer !important;
    z-index: 220;
}
.modal-section[data-status="hide"] {transform: translateX(100vw);}

.modal-section > button {
    left: 50vw;
    bottom: var(--size_m);
    width: calc(100vw - calc(var(--size_l) * 2));
    transform: translateX(-50%);
    z-index: 20;
}

@media only screen and (min-width: 768px) {
    .modal-section > button {
        width: 25vw;
        bottom: var(--size_xl);
    }
}




/* Hotel Booking */
body[data-template="location"] .modal-section > iframe,
body[data-template="rooms"] .modal-section > iframe,
body[data-template="room"] .modal-section > iframe {
    top: 0;
    left: 0;
    width: 100vw;
    height: calc(100dvh - 7.5rem);
    border-radius: 0 0 var(--size_s) var(--size_s);
    z-index: 10;
}
@media only screen and (min-width: 768px) {
    body[data-template="location"] .modal-section>iframe,
    body[data-template="rooms"] .modal-section>iframe,
    body[data-template="room"] .modal-section>iframe {
        top: 1rem;
        left: 1rem;
        right: 1rem;
        bottom: 1rem;
        width: 48rem;
        height: 90rem;
        justify-self: center;
        border-radius: var(--size_s);
        transform: translate(0);
    }
}
@media only screen and (min-width: 1096px) {
    body[data-template="location"] .modal-section > iframe,
    body[data-template="rooms"] .modal-section > iframe,
    body[data-template="room"] .modal-section > iframe {
        left: unset;
        justify-self: unset;
        min-width: 48rem;
        width: calc(50vw - 12.5vw - 6rem);
        height: calc(100dvh - 2rem);
    }
}




/* Bar Food */
main[data-barba-namespace="bar_food"] .modal-section > div {
    position: absolute;
    top: 50dvh;
    left: 50vw;
    transform: translate(-50%, -50%);
}